﻿@model IEnumerable<eCommerce.Services.Model.CustomerAddress>

<div class="col-lg-12">
    <div class="text-right margin-top-20">
        <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Customers/CustomerAddressUpdate?Id=-1&CustomerId=@ViewData["CustomerId"]'"><i class="icon wb-plus" aria-hidden="true"></i> Agregar dirección</button>
    </div>
    <div class="example">
        <div class="example-body">
            <table class="table table-bordered table-hover">
                <colgroup>
                    <col class="col-xs-2">
                    <col class="col-xs-1">
                    <col class="col-xs-1">
                    <col class="col-xs-1">
                    <col class="col-xs-1">
                    <col class="col-xs-1">
                </colgroup>
                <thead>
                    <tr>
                        <th>Dirección</th>
                        <th>Código Postal</th>
                        <th>Provincia</th>
                        <th>Ciudad</th>
                        <th>Predeterminada</th>
                        <th>Acción</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>@Html.DisplayFor(modelItem => item.Address) @Html.DisplayFor(modelItem => item.AddressNumber) @(item.Floor == null? string.Empty : ", " + item.Floor + " piso")</td>
                            <td>@Html.DisplayFor(modelItem => item.ZipCode)</td>
                            <td>@Html.DisplayFor(modelItem => item.City.Province.Name)</td>
                            <td>@Html.DisplayFor(modelItem => item.City.Name)</td>
                            <td>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" id="inputChecked" checked="@item.Default" disabled="disabled">
                                    <label for="inputChecked"></label>
                                </div>
                            </td>
                            <td class="actions">
                                <a href="/Customers/CustomerAddressUpdate?Id=@item.CustomerAddressId&CustomerId=@ViewData["CustomerId"]" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.CustomerAddressId"><i class="icon wb-trash" aria-hidden="true"></i></a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>



